using System.Collections.Generic;
using UnityEngine;

public class HorizontalBar : TileAsset
{
	[SerializeField] private List<Vector2Int> directionsAccessible;

	public override bool CanEnter(Vector2Int comingFrom, Vector2Int goingInto, Orientation orientation)
	{
		foreach (Vector2Int direction in directionsAccessible)
		{
			if (direction == goingInto - comingFrom)
			{
				return true;
			}
		}

		return false;
	}

	public override void OnEnter(GameObject player)
	{
	}

	public override void OnLeave(GameObject player)
	{
	}
}